{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <title>Book Catalog</title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
        <script src="{% static 'main.js' %}"></script>
        <link rel="stylesheet" type="text/css" href="{% static "main.css" %}">

    </head>
    <body class="orange">
        <div id="overlay">
            <div id="loadProgress">
                <div id="loadBar"></div>
            </div>
        </div>
        {% if user.is_authenticated %}
            <p>Hello, {{ user.username }}</p>
            <a href="{% url 'logout' %}">Logout</a>
        {% else %}
            <a href="{% url 'social:begin' 'google-oauth2' %}">Login</a>
        {% endif %}
        <div class="container" align="center" style="padding-top: 80px; padding-bottom: 80px;">
            <h1 style="font-size: 60px">BOOK CATALOG</h1>
            <br>
            <h5 class="quote">"Mark your favorite books."</h5>
        </div>

        <div class="container" style="background-color: rgb(53, 53, 53); padding: 5%;">
            <form action="#" id="search">
                <div class="form-group">
                    <label for="book_search">Search book:</label>
                    <input type="text" class="form-control" id="book_search" placeholder="Enter query">
                </div>
                <button type="submit" id="form_btn" class="btn btn-primary">Submit</button>
            </form>
        </div>
            
        <div class="container" style="background-color: rgb(53, 53, 53);padding: 5%;">
            <h4>Counter: <strong id="counter">0</strong></h4>
            <table class="table">
                <thead>
                    <tr>
                        <th scope="col">Title</th>
                        <th scope="col">Author</th>
                        <th scope="col">Favorite</th>
                        <th scope="col" hidden></th>
                    </tr>

                </thead>
                <tbody id="loadbooks" style="color: white">
                    
                </tbody>
            </table>
            
            <button id="savebooks" class="btn btn-primary">Save to Favorites</button>

        </div>
        

        <br>
        <br>
        <div align="center" style="padding-top: 70px; padding-bottom: 100px; background-color: rgb(53, 53, 53)">
            <h1 style="font-size: 60px;">CONTACT</h1>
            <p style="color: white; font-size: 20px; padding-top: 30px">
                Email: douglas.raevan@gmail.com<br>
                LinkedIn: <a href="https://www.linkedin.com/in/douglas-faisal-106ba1153/" target="_blank" style="color: rgb(238, 200, 96);">https://www.linkedin.com/in/douglas-faisal-106ba1153/</a><br>
                LINE: kajix75<br>
            </p>
            <button class="btn btn-secondary" id="changeTheme">Toggle Theme</button>
        </div>

    </body>
</html>